# Get device group information

Find a group by its ID. Use List groups to find a group’s ID in Devices & Groups.

Endpoint: GET /enterprise/{enterprise_id}/devicegroup/{group_id}/
Version: 1.0.0
Security: apiKey

## Path parameters:

  - `group_id` (string, required)
    A UUID string identifying this enterprise device group.

  - `enterprise_id` (string, required)
    A UUID string identifying enterprise.

## Response 200 fields (application/json):

  - `id` (string)
    Group id

  - `name` (string, required)
    Group name

  - `created_on` (string)
    Date and time of when the group was created

  - `enterprise` (string)
    Enterprise url

  - `parent` (string)
    Parent group url

  - `device_count` (integer)
    Count of devices in the group

  - `path` (string)
    Path of the group

  - `children_count` (integer)
    Count of child groups

  - `thumbnail` (string)
    thumbnail associated with the group

  - `blueprint` (string)
    Blueprint associated with the group.

## Response 401 fields (application/json):

  - `errors` (array)

  - `message` (string)

  - `status` (integer)

## Response 404 fields (application/json):

  - `errors` (array)

  - `message` (string)

  - `status` (integer)

## Response 500 fields (application/json):

  - `errors` (array)

  - `message` (string)

  - `status` (integer)


